source("cum.histo.r")
freq <- c(9,7,10,2,5,7)
lab <- c("A","B","C","D","E","F")

postscript("permute.eps")
par(mfrow=c(2,2),mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
cum.histo(1:6,freq,main="",xlab="",ylab="Frequency",
	axes=F,frame.plot=T)
axis(side=1,at=1:6,labels=lab)
axis(side=2,at=seq(0,10,by=2))
cum.histo(1:6,freq[c(3,1,2,6,5,4)],main="",xlab="",ylab="",
	axes=F,frame.plot=T)
axis(side=1,at=1:6,labels=lab[c(3,1,2,6,5,4)])
axis(side=2,at=seq(0,10,by=2))
cum.histo(1:6,freq[c(4,5,6,2,1,3)],main="",xlab="Response",ylab="Frequency",
	axes=F,frame.plot=T)
axis(side=1,at=1:6,labels=lab[c(4,5,6,2,1,3)])
axis(side=2,at=seq(0,10,by=2))
cum.histo(1:6,freq[c(4,2,1,3,6,5)],main="",xlab="Response",ylab="",
	axes=F,frame.plot=T)
axis(side=1,at=1:6,labels=lab[c(4,2,1,3,6,5)])
axis(side=2,at=seq(0,10,by=2))
dev.off()
