yes <- c(9,13,9,10,7,3,4,2)
no <- c(1,2,3,5,6,5,13,8)
heart <- cbind(yes,no)
age <- c(24.5,32,37,42,47,52,57,64.5)
print(summary(z <- glm(heart~age,family=binomial)))
print(summary(z <- glm(heart~age,family=binomial,
	control=glm.control(maxit=1))))
n <- yes+no
w <- yes*no/n
z <- log(yes/no)
a <- sum(w)
b <- sum(w*z)
c <- sum(w*age)
d <- sum(w*age^2)
e <- sum(w*age*z)
print(b1 <- (e-b*c/a)/(d-c^2/a))
print(b0 <- b/a - b1*c/a)

if(interactive()){
postscript("e2-5.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
f <- function(x) exp(b0+b1*x)/(1+exp(b0+b1*x))
plot(age,yes/n,xlab="Age",pch=20,ylim=c(0,1),bty="L",
	ylab="Estimated probability of coronary heart disease")
curve(f(x),20,70,n=100,add=T)
dev.off()
}
