if(interactive()){
postscript("like.eps",height=6)
par(mfrow=c(1,2),font.main=1,mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
p <- (1:51)/52
plot(p,p^6*(1-p)^4/(0.6^6*0.4^4),type="l",xlab=expression(pi[1]),
	ylab=expression(R(pi[1])),xlim=0:1,ylim=0:1)
lines(c(0.275,0.275),c(0,0.1))
lines(c(0.275,0.87),c(0.1,0.1))
lines(c(0.87,0.87),c(0,0.1))
plot(p,-2*(6*log(p)+4*log(1-p)-6*log(0.6)-4*log(0.4)),type="l",
	xlab=expression(pi[1]),ylab=expression(-2*log(R(pi[1]))))
lines(c(0.275,0.275),c(0,-2*log(0.1)))
lines(c(0.275,0.87),-2*log(c(0.1,0.1)))
lines(c(0.87,0.87),c(0,-2*log(0.1)))
dev.off()
}

if(interactive()){
postscript("complike.eps",height=6,width=6)
par(font.main=1,mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
p <- (0:51)/104
plot(p,dnorm(p,0.15,0.07)/dnorm(0.15,0.15,0.07),type="l",
	xlab=expression(theta[i]),ylab=expression(R(theta[i])),xlim=c(0,0.4),
	ylim=0:1)
lines(p,dnorm(p,0.25,0.14)/dnorm(0.25,0.25,0.14))
dev.off()
}

if(interactive()){
postscript("like2.eps",height=6,width=6)
par(font.main=1,mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
p <- (1:61)/62
plot(p,p^6*(1-p)^4/(0.6^6*0.4^4),type="l",xlab=expression(pi[1]),
	ylab=expression(R(pi[1])),xlim=0:1,ylim=0:1)
lines(p,p^61*(1-p)^39/(0.61^61*0.39^39),lty=2)
legend(0,0.8,legend=c("6/10 Yes","61/100 Yes"),lty=1:2,bty="n")
dev.off()
}
