if(interactive()){
postscript("sampsize.eps",height=6,width=6)
par(font.main=1,mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
p <- (1:51)/104
plot(10*p,p^3*(1-p)^17/(0.15^3*0.85^17),type="l",xlab=expression(theta),
	ylab=expression(R(theta)),xlim=c(0,4),ylim=0:1)
lines(c(0.34,0.34),c(0,0.1))
lines(c(0.34,3.65),c(0.1,0.1))
lines(c(3.65,3.65),c(0,0.1))
mtext(expression(theta[0]),1,1,at=0.34)
mtext(expression(theta[1]),1,1,at=3.65)
dev.off()
}
