library(gnlm)

f1 <- c(3,24,104,286,670,1033,1343,1112,829,478,181,45,7)
y1 <- seq(0,12)
if(interactive()){
postscript("sibship2.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
fit.dist(y1,f1,"binomial",plot=interactive(),main="",xlab="Number of males",
	ylab=expression(pi[i]))
fit.dist(y1,f1,"beta binomial",plot=interactive(),main="",
	xlab="Number of males",ylab=expression(pi[i]),lty=3,add=T)
if(interactive()){
legend(-0.5,0.2,legend=c("Binomial","Beta-binomial"),lty=c(1,3),bty="n")
dev.off()
}

n <- sum(f1)
print(mu <- sum(f1*y1)/n)
sum(f1*(y1-mu)^2)/n
mu/12
mu*(1-mu/12)

fit.dist(y1,f1,"beta binomial",exact=F,plot=interactive(),main="",
	xlab="Number of males",ylab=expression(pi[i]),lty=3,add=T)
