library(gnlm)

if(interactive()){
postscript("zeta.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
fn <- function(y,rho){
	pi.tilde <- y^(-rho)
	nu <- sum(pi.tilde)
	pi.tilde/nu}
fit.dist(1:30,1000*fn(1:30,2),"zeta",plot=T,xlab="Rank",ylab=expression(pi[i]),
	main="",xlim=c(1,10))
dev.off()
}

f1 <- c(387,185,103,62,60,55,49,47,25,21)
y1 <- seq(1,10)
zeta <- sum(1/y1)
n <- sum(f1)
fh <- n/y1/zeta
(f1-fh)/sqrt(fh)

if(interactive()){
postscript("steel.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
print(res <- fit.dist(y1,f1,"zeta",cens=T,plot=interactive(),xlab="Rank",
	ylab=expression(pi[i]),main=""))
if(interactive()){
lines(9:10,res[9:10,4])
dev.off()
}
