source("cum.histo.r")
freq <- c(33.6,20.2,19.3,12.8,7.1,7.0)

postscript("families.eps",width=6,height=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
cum.histo(2:7,freq,main="",xlab="Family size",ylab="Per cent",
	xlim=c(1.5,7.5),axes=F,frame.plot=T)
axis(side=1,at=2:7,labels=c(2:6,"7+"))
axis(side=2,at=seq(0,40,by=8))
dev.off()
