source("cum.histo.r")
pr <- dnorm(1:11,6,2)

postscript("polygon.eps",width=6,height=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
cum.histo(1:11,pr,main="",xlab="Size",ylab="Probability",xlim=c(0.5,11.5),
	axes=F,frame.plot=T)
axis(side=1,at=1:11)
axis(side=2,at=seq(0,20,by=0.05))
lines(1:11,pr)
dev.off()
