block <- gl(2,3,6)
party <- gl(3,1,6)

low <- c(143,119,15,299,329,87)
high <- c(156,210,72,100,141,127)
y <- cbind(low,high)
options(contrasts = c("contr.sum", "contr.poly"))
print(summary(z0 <- glm(y~1,family=binomial)))
deviance(z0)+2*(dim(y)[1]-z0$df.res)
print(summary(z1 <- glm(y~block*party,family=binomial)))
deviance(z1)+2*(dim(y)[1]-z1$df.res)
print(summary(z2 <- glm(y~block+party,family=binomial),))
deviance(z2)+2*(dim(y)[1]-z2$df.res)
print(summary(z3 <- glm(y~block,family=binomial)))
deviance(z3)+2*(dim(y)[1]-z3$df.res)

high <- c(256,351,199,100,141,127)
y <- cbind(low,high)
print(summary(z0a <- glm(y~1,family=binomial)))
deviance(z0a)+2*(dim(y)[1]-z0a$df.res)
print(summary(z1a <- glm(y~block*party,family=binomial)))
deviance(z1a)+2*(dim(y)[1]-z1a$df.res)
print(summary(z2a <- glm(y~block+party,family=binomial)))
deviance(z2a)+2*(dim(y)[1]-z2a$df.res)
print(summary(z3a <- glm(y~block,family=binomial)))
deviance(z3a)+2*(dim(y)[1]-z3a$df.res)

freq <- c(143,119,15,156,210,72,100,141,127)
par <- gl(3,1,9)
ideo <- gl(3,3,9)
options(contrasts = c("contr.treatment", "contr.poly"))
print(summary(z0b <- glm(freq~par+ideo,family=poisson)))
deviance(z0b)+2*(length(freq)-z0b$df.res)
print(summary(z1b <- glm(freq~par*ideo,family=poisson)))
deviance(z1b)+2*(length(freq)-z1b$df.res)
