library(gnlm)

f2 <- c(49,56,73,41,43,23,18,18,7,7,3,2)
y2 <- 0:11

if(interactive()){
postscript("e4-11.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
fit.dist(y2,f2,"Poisson",plot=interactive(),main="",
	xlab="Number of children",bty="L",ylim=c(0,0.25))
fit.dist(y2,f2,"negative binomial",plot=interactive(),add=T,lty=2)
if(interactive()){
dev.off()
}
